<template>
  <transition name="dialog-fade">
    <el-dialog
      v-if="showDialog"
      :title="dialogTitle"
      class="dialog-component"
      v-model="showDialog"
      width="800px"
      @close="closeDialog(0)"
    >
      <el-row :gutter="20">
        <el-col :span="12">
          <div class="grid-content">
            div 

          </div>
        </el-col>
        <el-col :span="12">
          <div class="grid-content">

          </div>
        </el-col>
      </el-row>
    </el-dialog>
  </transition>
</template>

<script>
export default {
  name: 'CheckVideo',
  props: {
    dialogTitle: {
      type: String,
    },
    itemInfo: {
      type: Object,
      default: function () {
        return {}
      },
    },
  },
  data() {
    return {
      checked: true,
      showDialog: false,
      formInfo: JSON.parse(JSON.stringify(this.itemInfo)),
      options: [
        {
          value: '选项1',
          label: '站点一',
        },
        {
          value: '选项2',
          label: '站点二',
        },
        {
          value: '选项3',
          label: '站点三',
        },
        {
          value: '选项4',
          label: '站点四',
        },
        {
          value: '选项5',
          label: '站点五',
        },
      ],

      rules: {
        watchName: [
          // required  是否为必填项， trigger:表单验证的触发时机，失去焦点进行验证
          { required: true, message: '请输入设备名称', trigger: 'blur' },
          {
            min: 3,
            max: 6,
            message: '用户名长度在 3 到 6 个字符',
            trigger: 'blur',
          },
        ],
        watchCode: [
          { required: true, message: '请输入设备编号', trigger: 'blur' },
          {
            min: 3,
            max: 6,
            message: '用户名长度在 3 到 6 个字符',
            trigger: 'blur',
          },
        ],
        routeAddress: [
          { required: true, message: '请选则回路表记地址', trigger: 'change' },
        ],
        ratedVoltage: [
          { required: true, message: '请选择站点列表', trigger: 'change' },
        ],
        ratedCurrent: [
          { required: true, message: '请输入已选站点个数', trigger: 'blur' },
          { trigger: 'blur' },
        ],
        fzlMx: [
          { required: true, message: '请输入挂载设备个数', trigger: 'blur' },
          { trigger: 'blur' },
        ],
      },
    }
  },
  methods: {
    roleValid(rule, value, callback) {
      if (value.length === 0) {
        callback(new Error('角色不能为空'))
      } else {
        callback()
      }
    },

    // onSelectedDrug(event) {
    //   this.routeAddress = event;
    //   console.log(this.routeAddress);
    // },
    // 保存操作
    submitForm(formName) {
      const params = Object.assign(this.formInfo, {})
      params
      this.$refs[formName].validate((valid) => {
        if (valid) {
          // 走保存请求
          this.$message({
            message: '操作成功！',
            type: 'success',
          })
          this.closeDialog(1)
        } else {
          return false
        }
      })
    },
    // 关闭弹框
    closeDialog(flag) {
      //   this.$refs["formInfo"].resetFields();
      this.showDialog = false
      this.$emit('closeDialog', flag)
    },
  },
}
</script>
 
<style scoped lang="scss">
.el-input,
.el-select {
  width: 240px;
}

// label样式
.el-form-item__label {
  width: 150px;
}
.el-form-item__content {
  margin-left: 150px;
}
</style>